(** Compression et décompression de fichiers.*)

(** Encodage d'un texte en clair, renvoie un texte compressé.*)
val encode: Huffman.encoding_dictionary -> Huffman.plain_text -> Huffman.cipher_text

(** Décodage d'un texte compressé. Le second argument doit avoir été produit par 
la fonction [encode] à partir du dictionnaire d'encodage qui correspond au 
dictionnaire de décodage passé en premier argment.
Dans le cas contraire, le résultat est imprévisible et non 
spécifié.*)
val decode: Huffman.decoding_dictionary -> Huffman.cipher_text -> Huffman.plain_text

(**[compress filename] crée le fichier [filename.zz] qui contient, dans l'ordre, 
le dictionnaire de décodage, le nombre de symboles contenus dans le fichier [filename], 
la forme compressé du contenu du fichier [filename] donné par la fonction [encode].*)
val compress : string -> unit

(**[decompress filename.zz] crée le fichier [filename] dont le contenu est celui 
du fichier original i.e. celui à partir duquel [filename.zz] a été créé par 
la fonction [compress].*)
val decompress : string -> unit

(** Retour à la page du {{:../INF441-TD8-1.html}TD8}*)
